package cn.estsh.i3plus.pojo.mes.pcn.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class StepModel implements Serializable {
    @ApiParam("工步代码")
    private String stepCode;

    @ApiParam("工步名称")
    private String stepName;

    @ApiParam("工步描述")
    private String stepText;

    @ApiParam("工步类型")
    private String stepType;

    @ApiParam("工步对象")
    private String stepObject;

    /**
     * 工位扫描业务所需使用字段
     */
    @ApiParam("流程代码")
    private String routeCode;

    /**
     * 工位扫描业务所需使用字段
     */
    @ApiParam("工序代码")
    private String processCode;

    /**
     * 工位扫描业务所需使用字段
     */
    @ApiParam("工步顺序")
    private Integer stepSeq;

    /**
     * 工位扫描业务所需使用字段
     */
    @ApiParam("工步执行完毕")
    private boolean isComplete;

    /**
     * 工位扫描业务所需使用字段
     */
    @ApiParam("工步是否跳过")
    private boolean isJump;

        public StepModel(String stepCode,String stepName,String stepText,String stepType,String stepObject,
                   String routeCode,String processCode,Integer stepSeq){
        this.stepCode = stepCode;
        this.stepName = stepName;
        this.stepText = stepText;
        this.stepType = stepType;
        this.stepObject = stepObject;
        this.routeCode = routeCode;
        this.processCode = processCode;
        this.stepSeq = stepSeq;
    }
}
