package cn.estsh.i3plus.pojo.mes.pcn.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : JIT队列列表Model
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-05-22 16:34
 * @Modify:
 **/
@Data
@Api("JIT队列列表Model")
public class QueueOrderModel implements Serializable {
    @ApiParam("队列ID")
    public Long queueId;
    @ApiParam("队列明细ID")
    public Long queueDetailId;
    @ApiParam("队列序号")
    public Integer queueSeq;
    @ApiParam("队列明细序号")
    public Integer queDetailSeq;
    @ApiParam("客户标识号")
    public String custFlagNo;
    @ApiParam("产品配置名称")
    public String prodCfgName;
    @ApiParam("产品类型名称")
    public String categoryName;
    @ApiParam("产品条码")
    public String serialNumber;
    @ApiParam("物料号")
    public String partNo;
    @ApiParam("物料ID")
    public Long partId;
    @ApiParam("条码状态")
    public Integer snStatus;
    @ApiParam("生产类型")
    public String workType;


}
